diff options
| author | Adrian Robert | 2008-07-15 18:15:18 +0000 |
|---|---|---|
| committer | Adrian Robert | 2008-07-15 18:15:18 +0000 |
| commit | edfda78355c5528eee489fa8a7f9c73bf8e734f2 (patch) | |
| tree | 78d2414d9791e1efc17ec9b35b438ae35602340a /configure | |
| parent | 1391cd548782097e34d7856ec4f20ca90bdf2c26 (diff) | |
| download | emacs-edfda78355c5528eee489fa8a7f9c73bf8e734f2.tar.gz emacs-edfda78355c5528eee489fa8a7f9c73bf8e734f2.zip | |
merging Emacs.app (NeXTstep port)
Diffstat (limited to 'configure')
| -rwxr-xr-x | configure | 309 |
1 files changed, 271 insertions, 38 deletions
| @@ -734,6 +734,7 @@ X_TOOLKIT_TYPE | |||
| 734 | machfile | 734 | machfile |
| 735 | opsysfile | 735 | opsysfile |
| 736 | carbon_appdir | 736 | carbon_appdir |
| 737 | ns_appdir | ||
| 737 | LTLIBOBJS' | 738 | LTLIBOBJS' |
| 738 | ac_subst_files='' | 739 | ac_subst_files='' |
| 739 | ac_precious_vars='build_alias | 740 | ac_precious_vars='build_alias |
| @@ -1332,6 +1333,9 @@ Optional Features: | |||
| 1332 | --enable-carbon-app[=DIR] | 1333 | --enable-carbon-app[=DIR] |
| 1333 | specify install directory for Emacs.app on Mac OS X | 1334 | specify install directory for Emacs.app on Mac OS X |
| 1334 | [DIR=/Application] | 1335 | [DIR=/Application] |
| 1336 | --enable-ns-app[=DIR] [DIR=/Applications] | ||
| 1337 | specify install directory for Emacs.app under NS | ||
| 1338 | --enable-cocoa-experimental-ctrl-g enable experimental improved ctrl-g recognition | ||
| 1335 | --enable-asserts compile code with asserts enabled | 1339 | --enable-asserts compile code with asserts enabled |
| 1336 | --enable-maintainer-mode | 1340 | --enable-maintainer-mode |
| 1337 | enable make rules and dependencies not useful (and | 1341 | enable make rules and dependencies not useful (and |
| @@ -1367,6 +1371,7 @@ Optional Packages: | |||
| 1367 | --without-xaw3d don't use Xaw3d | 1371 | --without-xaw3d don't use Xaw3d |
| 1368 | --without-xim don't use X11 XIM | 1372 | --without-xim don't use X11 XIM |
| 1369 | --with-carbon use Carbon GUI on Mac OS X. This is unsupported! | 1373 | --with-carbon use Carbon GUI on Mac OS X. This is unsupported! |
| 1374 | --with-ns use nextstep (Cocoa or GNUstep) windowing system | ||
| 1370 | --without-gpm don't use -lgpm for mouse support on a GNU/Linux | 1375 | --without-gpm don't use -lgpm for mouse support on a GNU/Linux |
| 1371 | console | 1376 | console |
| 1372 | --without-dbus don't compile with D-Bus support | 1377 | --without-dbus don't compile with D-Bus support |
| @@ -2087,6 +2092,14 @@ else | |||
| 2087 | fi | 2092 | fi |
| 2088 | 2093 | ||
| 2089 | 2094 | ||
| 2095 | # Check whether --with-ns was given. | ||
| 2096 | if test "${with_ns+set}" = set; then | ||
| 2097 | withval=$with_ns; | ||
| 2098 | else | ||
| 2099 | with_ns=no | ||
| 2100 | fi | ||
| 2101 | |||
| 2102 | |||
| 2090 | 2103 | ||
| 2091 | # Check whether --with-gpm was given. | 2104 | # Check whether --with-gpm was given. |
| 2092 | if test "${with_gpm+set}" = set; then | 2105 | if test "${with_gpm+set}" = set; then |
| @@ -2155,6 +2168,20 @@ if test "${enable_carbon_app+set}" = set; then | |||
| 2155 | fi | 2168 | fi |
| 2156 | 2169 | ||
| 2157 | 2170 | ||
| 2171 | # Check whether --enable-ns-app was given. | ||
| 2172 | if test "${enable_ns_app+set}" = set; then | ||
| 2173 | enableval=$enable_ns_app; ns_appdir_x=${enableval} | ||
| 2174 | fi | ||
| 2175 | |||
| 2176 | |||
| 2177 | # Check whether --enable-cocoa-experimental-ctrl-g was given. | ||
| 2178 | if test "${enable_cocoa_experimental_ctrl_g+set}" = set; then | ||
| 2179 | enableval=$enable_cocoa_experimental_ctrl_g; EN_COCOA_EXPERIMENTAL_CTRL_G=yes | ||
| 2180 | else | ||
| 2181 | EN_COCOA_EXPERIMENTAL_CTRL_G=no | ||
| 2182 | fi | ||
| 2183 | |||
| 2184 | |||
| 2158 | # Check whether --enable-asserts was given. | 2185 | # Check whether --enable-asserts was given. |
| 2159 | if test "${enable_asserts+set}" = set; then | 2186 | if test "${enable_asserts+set}" = set; then |
| 2160 | enableval=$enable_asserts; USE_XASSERTS=$enableval | 2187 | enableval=$enable_asserts; USE_XASSERTS=$enableval |
| @@ -2378,16 +2405,17 @@ machine='' opsys='' unported=no | |||
| 2378 | case "${canonical}" in | 2405 | case "${canonical}" in |
| 2379 | 2406 | ||
| 2380 | ## FreeBSD ports | 2407 | ## FreeBSD ports |
| 2381 | *-*-freebsd* ) | 2408 | *-*-*freebsd* ) |
| 2382 | opsys=freebsd | 2409 | opsys=freebsd |
| 2383 | case "${canonical}" in | 2410 | case "${canonical}" in |
| 2384 | alpha*-*-freebsd*) machine=alpha ;; | 2411 | alpha*-*-freebsd*) machine=alpha ;; |
| 2385 | arm*-*-freebsd*) machine=arm ;; | 2412 | arm*-*-freebsd*) machine=arm ;; |
| 2386 | ia64-*-freebsd*) machine=ia64 ;; | 2413 | ia64-*-freebsd*) machine=ia64 ;; |
| 2414 | sparc-*-freebsd*) machine=sparc ;; | ||
| 2387 | sparc64-*-freebsd*) machine=sparc ;; | 2415 | sparc64-*-freebsd*) machine=sparc ;; |
| 2388 | powerpc-*-freebsd*) machine=macppc ;; | 2416 | powerpc-*-freebsd*) machine=macppc ;; |
| 2389 | i[3456]86-*-freebsd*) machine=intel386 ;; | 2417 | i[3456]86-*-freebsd*) machine=intel386 ;; |
| 2390 | amd64-*-freebsd*|x86_64-*-freebsd*) machine=amdx86-64 ;; | 2418 | amd64-*-freebsd*|x86_64-*-*freebsd*) machine=amdx86-64 ;; |
| 2391 | esac | 2419 | esac |
| 2392 | ;; | 2420 | ;; |
| 2393 | 2421 | ||
| @@ -2397,6 +2425,7 @@ case "${canonical}" in | |||
| 2397 | case "${canonical}" in | 2425 | case "${canonical}" in |
| 2398 | alpha*-*-kfreebsd*) machine=alpha ;; | 2426 | alpha*-*-kfreebsd*) machine=alpha ;; |
| 2399 | ia64-*-kfreebsd*) machine=ia64 ;; | 2427 | ia64-*-kfreebsd*) machine=ia64 ;; |
| 2428 | sparc-*-kfreebsd*) machine=sparc ;; | ||
| 2400 | sparc64-*-kfreebsd*) machine=sparc ;; | 2429 | sparc64-*-kfreebsd*) machine=sparc ;; |
| 2401 | powerpc-*-kfreebsd*) machine=macppc ;; | 2430 | powerpc-*-kfreebsd*) machine=macppc ;; |
| 2402 | i[3456]86-*-kfreebsd*) machine=intel386 ;; | 2431 | i[3456]86-*-kfreebsd*) machine=intel386 ;; |
| @@ -9308,6 +9337,179 @@ if test "${HAVE_CARBON}" = yes; then | |||
| 9308 | window_system=mac | 9337 | window_system=mac |
| 9309 | fi | 9338 | fi |
| 9310 | 9339 | ||
| 9340 | HAVE_NS=no | ||
| 9341 | COCOA=no | ||
| 9342 | GNUSTEP=no | ||
| 9343 | tmp_CPPFLAGS="$CPPFLAGS" | ||
| 9344 | tmp_CFLAGS="$CFLAGS" | ||
| 9345 | CPPFLAGS="$CPPFLAGS -x objective-c" | ||
| 9346 | CFLAGS="$CFLAGS -x objective-c" | ||
| 9347 | if test "${with_ns}" != no; then | ||
| 9348 | if test "${opsys}" = darwin; then | ||
| 9349 | COCOA=yes | ||
| 9350 | elif test -f /etc/GNUstep/GNUstep.conf; then | ||
| 9351 | GNUSTEP=yes | ||
| 9352 | GNUSTEP_SYSTEM_HEADERS="$(source /etc/GNUstep/GNUstep.conf; echo $GNUSTEP_SYSTEM_HEADERS)" | ||
| 9353 | GNUSTEP_SYSTEM_LIBRARIES="$(source /etc/GNUstep/GNUstep.conf; echo $GNUSTEP_SYSTEM_LIBRARIES)" | ||
| 9354 | CPPFLAGS="$CPPFLAGS -I${GNUSTEP_SYSTEM_HEADERS}" | ||
| 9355 | CFLAGS="$CFLAGS -I${GNUSTEP_SYSTEM_HEADERS}" | ||
| 9356 | REAL_CFLAGS="$REAL_CFLAGS -I${GNUSTEP_SYSTEM_HEADERS}" | ||
| 9357 | LDFLAGS="$LDFLAGS -L${GNUSTEP_SYSTEM_LIBRARIES}" | ||
| 9358 | fi | ||
| 9359 | if test "${ac_cv_header_AppKit_AppKit_h+set}" = set; then | ||
| 9360 | { echo "$as_me:$LINENO: checking for AppKit/AppKit.h" >&5 | ||
| 9361 | echo $ECHO_N "checking for AppKit/AppKit.h... $ECHO_C" >&6; } | ||
| 9362 | if test "${ac_cv_header_AppKit_AppKit_h+set}" = set; then | ||
| 9363 | echo $ECHO_N "(cached) $ECHO_C" >&6 | ||
| 9364 | fi | ||
| 9365 | { echo "$as_me:$LINENO: result: $ac_cv_header_AppKit_AppKit_h" >&5 | ||
| 9366 | echo "${ECHO_T}$ac_cv_header_AppKit_AppKit_h" >&6; } | ||
| 9367 | else | ||
| 9368 | # Is the header compilable? | ||
| 9369 | { echo "$as_me:$LINENO: checking AppKit/AppKit.h usability" >&5 | ||
| 9370 | echo $ECHO_N "checking AppKit/AppKit.h usability... $ECHO_C" >&6; } | ||
| 9371 | cat >conftest.$ac_ext <<_ACEOF | ||
| 9372 | /* confdefs.h. */ | ||
| 9373 | _ACEOF | ||
| 9374 | cat confdefs.h >>conftest.$ac_ext | ||
| 9375 | cat >>conftest.$ac_ext <<_ACEOF | ||
| 9376 | /* end confdefs.h. */ | ||
| 9377 | $ac_includes_default | ||
| 9378 | #include <AppKit/AppKit.h> | ||
| 9379 | _ACEOF | ||
| 9380 | rm -f conftest.$ac_objext | ||
| 9381 | if { (ac_try="$ac_compile" | ||
| 9382 | case "(($ac_try" in | ||
| 9383 | *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; | ||
| 9384 | *) ac_try_echo=$ac_try;; | ||
| 9385 | esac | ||
| 9386 | eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 | ||
| 9387 | (eval "$ac_compile") 2>conftest.er1 | ||
| 9388 | ac_status=$? | ||
| 9389 | grep -v '^ *+' conftest.er1 >conftest.err | ||
| 9390 | rm -f conftest.er1 | ||
| 9391 | cat conftest.err >&5 | ||
| 9392 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | ||
| 9393 | (exit $ac_status); } && { | ||
| 9394 | test -z "$ac_c_werror_flag" || | ||
| 9395 | test ! -s conftest.err | ||
| 9396 | } && test -s conftest.$ac_objext; then | ||
| 9397 | ac_header_compiler=yes | ||
| 9398 | else | ||
| 9399 | echo "$as_me: failed program was:" >&5 | ||
| 9400 | sed 's/^/| /' conftest.$ac_ext >&5 | ||
| 9401 | |||
| 9402 | ac_header_compiler=no | ||
| 9403 | fi | ||
| 9404 | |||
| 9405 | rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext | ||
| 9406 | { echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 | ||
| 9407 | echo "${ECHO_T}$ac_header_compiler" >&6; } | ||
| 9408 | |||
| 9409 | # Is the header present? | ||
| 9410 | { echo "$as_me:$LINENO: checking AppKit/AppKit.h presence" >&5 | ||
| 9411 | echo $ECHO_N "checking AppKit/AppKit.h presence... $ECHO_C" >&6; } | ||
| 9412 | cat >conftest.$ac_ext <<_ACEOF | ||
| 9413 | /* confdefs.h. */ | ||
| 9414 | _ACEOF | ||
| 9415 | cat confdefs.h >>conftest.$ac_ext | ||
| 9416 | cat >>conftest.$ac_ext <<_ACEOF | ||
| 9417 | /* end confdefs.h. */ | ||
| 9418 | #include <AppKit/AppKit.h> | ||
| 9419 | _ACEOF | ||
| 9420 | if { (ac_try="$ac_cpp conftest.$ac_ext" | ||
| 9421 | case "(($ac_try" in | ||
| 9422 | *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; | ||
| 9423 | *) ac_try_echo=$ac_try;; | ||
| 9424 | esac | ||
| 9425 | eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 | ||
| 9426 | (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1 | ||
| 9427 | ac_status=$? | ||
| 9428 | grep -v '^ *+' conftest.er1 >conftest.err | ||
| 9429 | rm -f conftest.er1 | ||
| 9430 | cat conftest.err >&5 | ||
| 9431 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 | ||
| 9432 | (exit $ac_status); } >/dev/null && { | ||
| 9433 | test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" || | ||
| 9434 | test ! -s conftest.err | ||
| 9435 | }; then | ||
| 9436 | ac_header_preproc=yes | ||
| 9437 | else | ||
| 9438 | echo "$as_me: failed program was:" >&5 | ||
| 9439 | sed 's/^/| /' conftest.$ac_ext >&5 | ||
| 9440 | |||
| 9441 | ac_header_preproc=no | ||
| 9442 | fi | ||
| 9443 | |||
| 9444 | rm -f conftest.err conftest.$ac_ext | ||
| 9445 | { echo "$as_me:$LINENO: result: $ac_header_preproc" >&5 | ||
| 9446 | echo "${ECHO_T}$ac_header_preproc" >&6; } | ||
| 9447 | |||
| 9448 | # So? What about this header? | ||
| 9449 | case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in | ||
| 9450 | yes:no: ) | ||
| 9451 | { echo "$as_me:$LINENO: WARNING: AppKit/AppKit.h: accepted by the compiler, rejected by the preprocessor!" >&5 | ||
| 9452 | echo "$as_me: WARNING: AppKit/AppKit.h: accepted by the compiler, rejected by the preprocessor!" >&2;} | ||
| 9453 | { echo "$as_me:$LINENO: WARNING: AppKit/AppKit.h: proceeding with the compiler's result" >&5 | ||
| 9454 | echo "$as_me: WARNING: AppKit/AppKit.h: proceeding with the compiler's result" >&2;} | ||
| 9455 | ac_header_preproc=yes | ||
| 9456 | ;; | ||
| 9457 | no:yes:* ) | ||
| 9458 | { echo "$as_me:$LINENO: WARNING: AppKit/AppKit.h: present but cannot be compiled" >&5 | ||
| 9459 | echo "$as_me: WARNING: AppKit/AppKit.h: present but cannot be compiled" >&2;} | ||
| 9460 | { echo "$as_me:$LINENO: WARNING: AppKit/AppKit.h: check for missing prerequisite headers?" >&5 | ||
| 9461 | echo "$as_me: WARNING: AppKit/AppKit.h: check for missing prerequisite headers?" >&2;} | ||
| 9462 | { echo "$as_me:$LINENO: WARNING: AppKit/AppKit.h: see the Autoconf documentation" >&5 | ||
| 9463 | echo "$as_me: WARNING: AppKit/AppKit.h: see the Autoconf documentation" >&2;} | ||
| 9464 | { echo "$as_me:$LINENO: WARNING: AppKit/AppKit.h: section \"Present But Cannot Be Compiled\"" >&5 | ||
| 9465 | echo "$as_me: WARNING: AppKit/AppKit.h: section \"Present But Cannot Be Compiled\"" >&2;} | ||
| 9466 | { echo "$as_me:$LINENO: WARNING: AppKit/AppKit.h: proceeding with the preprocessor's result" >&5 | ||
| 9467 | echo "$as_me: WARNING: AppKit/AppKit.h: proceeding with the preprocessor's result" >&2;} | ||
| 9468 | { echo "$as_me:$LINENO: WARNING: AppKit/AppKit.h: in the future, the compiler will take precedence" >&5 | ||
| 9469 | echo "$as_me: WARNING: AppKit/AppKit.h: in the future, the compiler will take precedence" >&2;} | ||
| 9470 | |||
| 9471 | ;; | ||
| 9472 | esac | ||
| 9473 | { echo "$as_me:$LINENO: checking for AppKit/AppKit.h" >&5 | ||
| 9474 | echo $ECHO_N "checking for AppKit/AppKit.h... $ECHO_C" >&6; } | ||
| 9475 | if test "${ac_cv_header_AppKit_AppKit_h+set}" = set; then | ||
| 9476 | echo $ECHO_N "(cached) $ECHO_C" >&6 | ||
| 9477 | else | ||
| 9478 | ac_cv_header_AppKit_AppKit_h=$ac_header_preproc | ||
| 9479 | fi | ||
| 9480 | { echo "$as_me:$LINENO: result: $ac_cv_header_AppKit_AppKit_h" >&5 | ||
| 9481 | echo "${ECHO_T}$ac_cv_header_AppKit_AppKit_h" >&6; } | ||
| 9482 | |||
| 9483 | fi | ||
| 9484 | if test $ac_cv_header_AppKit_AppKit_h = yes; then | ||
| 9485 | HAVE_NS=yes | ||
| 9486 | fi | ||
| 9487 | |||
| 9488 | |||
| 9489 | fi | ||
| 9490 | if test "${window_system}" = x11 && test "${HAVE_NS}" = yes; then | ||
| 9491 | if test "${with_ns+set}" != set \ | ||
| 9492 | && test "${ns_appdir_x+set}" != set; then | ||
| 9493 | HAVE_NS=no | ||
| 9494 | fi | ||
| 9495 | fi | ||
| 9496 | |||
| 9497 | if test "${window_system}" = mac && test "${HAVE_NS}" = yes; then | ||
| 9498 | if test "${with_ns+set}" != set \ | ||
| 9499 | && test "${ns_appdir_x+set}" != set; then | ||
| 9500 | HAVE_NS=no | ||
| 9501 | else | ||
| 9502 | HAVE_CARBON=no | ||
| 9503 | fi | ||
| 9504 | fi | ||
| 9505 | if test "${HAVE_NS}" = yes; then | ||
| 9506 | window_system=nextstep | ||
| 9507 | with_xft=no | ||
| 9508 | with_freetype=no | ||
| 9509 | fi | ||
| 9510 | CFLAGS="$tmp_CFLAGS" | ||
| 9511 | CPPFLAGS="$tmp_CPPFLAGS" | ||
| 9512 | |||
| 9311 | case "${window_system}" in | 9513 | case "${window_system}" in |
| 9312 | x11 ) | 9514 | x11 ) |
| 9313 | HAVE_X_WINDOWS=yes | 9515 | HAVE_X_WINDOWS=yes |
| @@ -9321,7 +9523,7 @@ case "${window_system}" in | |||
| 9321 | * ) USE_X_TOOLKIT=maybe ;; | 9523 | * ) USE_X_TOOLKIT=maybe ;; |
| 9322 | esac | 9524 | esac |
| 9323 | ;; | 9525 | ;; |
| 9324 | mac | none ) | 9526 | nextstep | mac | none ) |
| 9325 | HAVE_X_WINDOWS=no | 9527 | HAVE_X_WINDOWS=no |
| 9326 | HAVE_X11=no | 9528 | HAVE_X11=no |
| 9327 | USE_X_TOOLKIT=none | 9529 | USE_X_TOOLKIT=none |
| @@ -9396,9 +9598,6 @@ case ${HAVE_X11} in | |||
| 9396 | yes ) HAVE_MENUS=yes ;; | 9598 | yes ) HAVE_MENUS=yes ;; |
| 9397 | esac | 9599 | esac |
| 9398 | 9600 | ||
| 9399 | ### Compute the unexec source name from the object name. | ||
| 9400 | UNEXEC_SRC="`echo ${unexec} | sed 's/\.o/.c/'`" | ||
| 9401 | |||
| 9402 | # Do the opsystem or machine files prohibit the use of the GNU malloc? | 9601 | # Do the opsystem or machine files prohibit the use of the GNU malloc? |
| 9403 | # Assume not, until told otherwise. | 9602 | # Assume not, until told otherwise. |
| 9404 | GNU_MALLOC=yes | 9603 | GNU_MALLOC=yes |
| @@ -12316,6 +12515,12 @@ _ACEOF | |||
| 12316 | _ACEOF | 12515 | _ACEOF |
| 12317 | 12516 | ||
| 12318 | USE_TOOLKIT_SCROLL_BARS=yes | 12517 | USE_TOOLKIT_SCROLL_BARS=yes |
| 12518 | elif test "${HAVE_NS}" = "yes"; then | ||
| 12519 | cat >>confdefs.h <<\_ACEOF | ||
| 12520 | #define USE_TOOLKIT_SCROLL_BARS 1 | ||
| 12521 | _ACEOF | ||
| 12522 | |||
| 12523 | USE_TOOLKIT_SCROLL_BARS=yes | ||
| 12319 | fi | 12524 | fi |
| 12320 | fi | 12525 | fi |
| 12321 | 12526 | ||
| @@ -14943,6 +15148,46 @@ done | |||
| 14943 | # We also have mouse menus. | 15148 | # We also have mouse menus. |
| 14944 | HAVE_MENUS=yes | 15149 | HAVE_MENUS=yes |
| 14945 | fi | 15150 | fi |
| 15151 | ### Use NeXTstep API to implement GUI. | ||
| 15152 | if test "${HAVE_NS}" = "yes"; then | ||
| 15153 | |||
| 15154 | cat >>confdefs.h <<\_ACEOF | ||
| 15155 | #define HAVE_NS 1 | ||
| 15156 | _ACEOF | ||
| 15157 | |||
| 15158 | ## Specify the install directory | ||
| 15159 | ns_appdir= | ||
| 15160 | if test "${ns_appdir_x}" != ""; then | ||
| 15161 | case ${ns_appdir_x} in | ||
| 15162 | y | ye | yes) ns_appdir=/Applications ;; | ||
| 15163 | * ) ns_appdir=${ns_appdir_x} ;; | ||
| 15164 | esac | ||
| 15165 | fi | ||
| 15166 | if test "${COCOA}" = "yes"; then | ||
| 15167 | |||
| 15168 | cat >>confdefs.h <<\_ACEOF | ||
| 15169 | #define NS_IMPL_COCOA 1 | ||
| 15170 | _ACEOF | ||
| 15171 | |||
| 15172 | fi | ||
| 15173 | if test "${EN_COCOA_EXPERIMENTAL_CTRL_G}" = "yes"; then | ||
| 15174 | |||
| 15175 | cat >>confdefs.h <<\_ACEOF | ||
| 15176 | #define COCOA_EXPERIMENTAL_CTRL_G 1 | ||
| 15177 | _ACEOF | ||
| 15178 | |||
| 15179 | fi | ||
| 15180 | if test "${GNUSTEP}" = "yes"; then | ||
| 15181 | |||
| 15182 | cat >>confdefs.h <<\_ACEOF | ||
| 15183 | #define NS_IMPL_GNUSTEP 1 | ||
| 15184 | _ACEOF | ||
| 15185 | |||
| 15186 | fi | ||
| 15187 | # We also have mouse menus. | ||
| 15188 | HAVE_MENUS=yes | ||
| 15189 | fi | ||
| 15190 | |||
| 14946 | 15191 | ||
| 14947 | ### Use session management (-lSM -lICE) if available | 15192 | ### Use session management (-lSM -lICE) if available |
| 14948 | HAVE_X_SM=no | 15193 | HAVE_X_SM=no |
| @@ -16688,7 +16933,6 @@ cat >>conftest.$ac_ext <<_ACEOF | |||
| 16688 | # endif | 16933 | # endif |
| 16689 | #endif | 16934 | #endif |
| 16690 | 16935 | ||
| 16691 | #include <limits.h> | ||
| 16692 | #include <stdlib.h> | 16936 | #include <stdlib.h> |
| 16693 | 16937 | ||
| 16694 | #ifdef HAVE_UNISTD_H | 16938 | #ifdef HAVE_UNISTD_H |
| @@ -16837,15 +17081,12 @@ main () | |||
| 16837 | isn't worth using anyway. */ | 17081 | isn't worth using anyway. */ |
| 16838 | alarm (60); | 17082 | alarm (60); |
| 16839 | 17083 | ||
| 16840 | for (;;) | 17084 | for (time_t_max = 1; 0 < time_t_max; time_t_max *= 2) |
| 16841 | { | 17085 | continue; |
| 16842 | t = (time_t_max << 1) + 1; | 17086 | time_t_max--; |
| 16843 | if (t <= time_t_max) | 17087 | if ((time_t) -1 < 0) |
| 16844 | break; | 17088 | for (time_t_min = -1; (time_t) (time_t_min * 2) < 0; time_t_min *= 2) |
| 16845 | time_t_max = t; | 17089 | continue; |
| 16846 | } | ||
| 16847 | time_t_min = - ((time_t) ~ (time_t) 0 == (time_t) -1) - time_t_max; | ||
| 16848 | |||
| 16849 | delta = time_t_max / 997; /* a suitable prime number */ | 17090 | delta = time_t_max / 997; /* a suitable prime number */ |
| 16850 | for (i = 0; i < N_STRINGS; i++) | 17091 | for (i = 0; i < N_STRINGS; i++) |
| 16851 | { | 17092 | { |
| @@ -16860,12 +17101,10 @@ main () | |||
| 16860 | && mktime_test ((time_t) (60 * 60 * 24)))) | 17101 | && mktime_test ((time_t) (60 * 60 * 24)))) |
| 16861 | return 1; | 17102 | return 1; |
| 16862 | 17103 | ||
| 16863 | for (j = 1; ; j <<= 1) | 17104 | for (j = 1; 0 < j; j *= 2) |
| 16864 | if (! bigtime_test (j)) | 17105 | if (! bigtime_test (j)) |
| 16865 | return 1; | 17106 | return 1; |
| 16866 | else if (INT_MAX / 2 < j) | 17107 | if (! bigtime_test (j - 1)) |
| 16867 | break; | ||
| 16868 | if (! bigtime_test (INT_MAX)) | ||
| 16869 | return 1; | 17108 | return 1; |
| 16870 | } | 17109 | } |
| 16871 | return ! (irix_6_4_bug () && spring_forward_gap () && year_2050_test ()); | 17110 | return ! (irix_6_4_bug () && spring_forward_gap () && year_2050_test ()); |
| @@ -18774,13 +19013,11 @@ _ACEOF | |||
| 18774 | cat confdefs.h >>conftest.$ac_ext | 19013 | cat confdefs.h >>conftest.$ac_ext |
| 18775 | cat >>conftest.$ac_ext <<_ACEOF | 19014 | cat >>conftest.$ac_ext <<_ACEOF |
| 18776 | /* end confdefs.h. */ | 19015 | /* end confdefs.h. */ |
| 18777 | #include <sys/types.h> /* for off_t */ | 19016 | #include <stdio.h> |
| 18778 | #include <stdio.h> | ||
| 18779 | int | 19017 | int |
| 18780 | main () | 19018 | main () |
| 18781 | { | 19019 | { |
| 18782 | int (*fp) (FILE *, off_t, int) = fseeko; | 19020 | return fseeko (stdin, 0, 0) && (fseeko) (stdin, 0, 0); |
| 18783 | return fseeko (stdin, 0, 0) && fp (stdin, 0, 0); | ||
| 18784 | ; | 19021 | ; |
| 18785 | return 0; | 19022 | return 0; |
| 18786 | } | 19023 | } |
| @@ -18820,13 +19057,11 @@ cat confdefs.h >>conftest.$ac_ext | |||
| 18820 | cat >>conftest.$ac_ext <<_ACEOF | 19057 | cat >>conftest.$ac_ext <<_ACEOF |
| 18821 | /* end confdefs.h. */ | 19058 | /* end confdefs.h. */ |
| 18822 | #define _LARGEFILE_SOURCE 1 | 19059 | #define _LARGEFILE_SOURCE 1 |
| 18823 | #include <sys/types.h> /* for off_t */ | 19060 | #include <stdio.h> |
| 18824 | #include <stdio.h> | ||
| 18825 | int | 19061 | int |
| 18826 | main () | 19062 | main () |
| 18827 | { | 19063 | { |
| 18828 | int (*fp) (FILE *, off_t, int) = fseeko; | 19064 | return fseeko (stdin, 0, 0) && (fseeko) (stdin, 0, 0); |
| 18829 | return fseeko (stdin, 0, 0) && fp (stdin, 0, 0); | ||
| 18830 | ; | 19065 | ; |
| 18831 | return 0; | 19066 | return 0; |
| 18832 | } | 19067 | } |
| @@ -23963,6 +24198,7 @@ fi | |||
| 23963 | 24198 | ||
| 23964 | 24199 | ||
| 23965 | 24200 | ||
| 24201 | |||
| 23966 | cat >>confdefs.h <<_ACEOF | 24202 | cat >>confdefs.h <<_ACEOF |
| 23967 | #define EMACS_CONFIGURATION "${canonical}" | 24203 | #define EMACS_CONFIGURATION "${canonical}" |
| 23968 | _ACEOF | 24204 | _ACEOF |
| @@ -24106,12 +24342,11 @@ echo " Does Emacs use -lrsvg-2? ${HAVE_RSVG}" | |||
| 24106 | echo " Does Emacs use -lgpm? ${HAVE_GPM}" | 24342 | echo " Does Emacs use -lgpm? ${HAVE_GPM}" |
| 24107 | echo " Does Emacs use -ldbus? ${HAVE_DBUS}" | 24343 | echo " Does Emacs use -ldbus? ${HAVE_DBUS}" |
| 24108 | 24344 | ||
| 24109 | if test "${USE_FONT_BACKEND}" = "yes"; then | 24345 | echo " Does Emacs use -lfreetype? ${HAVE_FREETYPE}" |
| 24110 | echo " Does Emacs use -lfreetype? ${HAVE_FREETYPE}" | 24346 | echo " Does Emacs use -lm17n-flt? ${HAVE_M17N_FLT}" |
| 24111 | echo " Does Emacs use -lm17n-flt? ${HAVE_M17N_FLT}" | 24347 | echo " Does Emacs use -lotf? ${HAVE_LIBOTF}" |
| 24112 | echo " Does Emacs use -lotf? ${HAVE_LIBOTF}" | 24348 | echo " Does Emacs use -lxft? ${HAVE_XFT}" |
| 24113 | echo " Does Emacs use -lxft? ${HAVE_XFT}" | 24349 | |
| 24114 | fi | ||
| 24115 | echo " Does Emacs use X toolkit scroll bars? ${USE_TOOLKIT_SCROLL_BARS}" | 24350 | echo " Does Emacs use X toolkit scroll bars? ${USE_TOOLKIT_SCROLL_BARS}" |
| 24116 | echo | 24351 | echo |
| 24117 | 24352 | ||
| @@ -24985,10 +25220,11 @@ X_TOOLKIT_TYPE!$X_TOOLKIT_TYPE$ac_delim | |||
| 24985 | machfile!$machfile$ac_delim | 25220 | machfile!$machfile$ac_delim |
| 24986 | opsysfile!$opsysfile$ac_delim | 25221 | opsysfile!$opsysfile$ac_delim |
| 24987 | carbon_appdir!$carbon_appdir$ac_delim | 25222 | carbon_appdir!$carbon_appdir$ac_delim |
| 25223 | ns_appdir!$ns_appdir$ac_delim | ||
| 24988 | LTLIBOBJS!$LTLIBOBJS$ac_delim | 25224 | LTLIBOBJS!$LTLIBOBJS$ac_delim |
| 24989 | _ACEOF | 25225 | _ACEOF |
| 24990 | 25226 | ||
| 24991 | if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 22; then | 25227 | if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 23; then |
| 24992 | break | 25228 | break |
| 24993 | elif $ac_last_try; then | 25229 | elif $ac_last_try; then |
| 24994 | { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5 | 25230 | { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5 |
| @@ -25449,9 +25685,6 @@ if test ! -f src/.gdbinit && test -f $srcdir/src/.gdbinit; then | |||
| 25449 | echo source $srcdir/src/.gdbinit > src/.gdbinit | 25685 | echo source $srcdir/src/.gdbinit > src/.gdbinit |
| 25450 | fi | 25686 | fi |
| 25451 | 25687 | ||
| 25452 | # This is how we know whether to re-run configure in certain cases. | ||
| 25453 | touch src/config.stamp | ||
| 25454 | |||
| 25455 | ;; | 25688 | ;; |
| 25456 | 25689 | ||
| 25457 | esac | 25690 | esac |